aurora-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bill Farner <wfar...@apache.org>
Subject Re: Ubuntu 12.04 - ImportError: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.16' not found
Date Wed, 18 Feb 2015 15:21:59 GMT
Thanks for reporting back!  I was a bit dumbfounded at what could be the
issue.  Now I know to rule out stale build state next time!

On Wednesday, February 18, 2015, Larry Weya <larryweya@gmail.com> wrote:

> I got it to work by doing a git clean within the repository and
> re-building.
>
> I'm not too familiar with pants or it internals, but I had previously built
> using a trusty64 mesos.native and it seems as if pants was re-using this
> even after I placed my self built mesos.native in the third_party
> directory.
>
> On Tue, Feb 17, 2015 at 9:55 PM, Larry Weya <larryweya@gmail.com
> <javascript:;>> wrote:
>
> > I need to run on Ubuntu 12.04 (Cant upgrade to 14.04). I built my own
> > mesos.native egg within an Ubuntu 12.04 VM and put in the third_party
> > directory when building thermos but after starting a job, I get this in
> the
> > Mesos log
> >
> > ImportError: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.16' not
> > found (required by
> >
> /root/.pex/install/mesos.native-0.20.1-py2.7-linux-x86_64.egg.3ad559b2b9ba2a363146049c27abff70d4860891/mesos.native-0.20.1-py2.7-linux-x86_64.egg/mesos/native/_mesos.so)
> >
> > What am I missing?
> >
> > --
> > Larry Weya
> >
>
>
>
> --
> Larry Weya
>


-- 
-=Bill

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message